#!/bin/bash

echo
echo "Udpate Makefile.d/read_conf.make"
echo "Udpate Makefile.d/show_conf.make"
echo

rm -f Makefile.d/read_conf.make
for varx in $(cat Makefile | grep -E "^[A-Z_-]**=" |awk -F '=' '{print $1}'); do \
	cat Makefile.d/read_conf.template | grep -v ^# | sed s%VARIABLE_XX%${varx}%g >> Makefile.d/read_conf.make
done

# add at the end of Makefile.d/read_conf.make (don't change that)
cat Makefile.d/read_conf_end.template >> Makefile.d/read_conf.make

echo "Udpate of Makefile.d/read_conf.make is done"
echo

rm -f Makefile.d/show_conf.make
echo 'config:' > Makefile.d/show_conf.make
for varx in $(cat Makefile | grep -E "^[A-Z_-]**=" |awk -F '=' '{print $1}'); do \
	echo "	@echo -e \"\033[1m\033[1;31m${varx}\033[0m=\$(${varx})\"" >> Makefile.d/show_conf.make
done

echo "Udpate of Makefile.d/show_conf.make is done"
echo


